eth_chainId

Returns the chain ID used for signing replay-protected transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameter

  • No parameters are needed.
curl https://ethereum-mainnet-rpc.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{ "jsonrpc":"2.0", "method":"eth_chainId","params":[],"id":1}'

Returns

  • chainId- hexadecimal value as a string representing the integer of the current chain id.
{"jsonrpc":"2.0","id":1,"result":"0x1"}

Try Yourself!

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to { "jsonrpc":"2.0", "id":1, "method":"eth_getProof", "params":[ "0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842", ["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"], "latest" ] }
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!